<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if(!class_exists('NINJA_Page_WooComposer_VC')){
	class NINJA_Page_WooComposer_VC{
		protected $shortcode_class;
		public function __construct(){
     	 add_action('init',array(&$this,'init_call'));
    	 }  // END FUNCTION __construct
    	public function init_call(){
    		require_once NINJA_WOO_PAGE_INC.'functions.php';
    		require_once NINJA_WOO_PAGE_INC.'shortcode.php';
    		$this->shortcode_class = new NINJA_Page_WooComposer_Shortcode();
		    $this->shortcode_class->add_shortcodes();
		    if(is_admin()):
          			require_once NINJA_WOO_PAGE_INC.'admin_add_meta_box_woocomposer_template.php';
        	else:
        		add_action( 'template_redirect', array( &$this, 'register_single_product_template' ) );
        		add_action( 'template_redirect', array( &$this, 'register_assets_single_product' ) );
        		add_action(	'wp_enqueue_scripts', array(&$this, 'frontend_assets_single_product'));
        		add_filter(	'wc_get_template_part', array(&$this,'ninja_get_template_part_single_product_belongs'),50,3);
        		// CATEGORY PAGE BUILDER
        	endif;
    	}
    	public function register_single_product_template(){
    		global $post;
      		$product_template_id=0;
      		if(empty($post))
			return;
			if($ninja_woo_page_product = get_post_meta($post->ID,'ninja_woo_page_product',true)):
				$product_template_id = $ninja_woo_page_product;
			endif;
			return $product_template_id;
    	}
    	public function register_assets_single_product(){
		wp_register_style('ninja-woocommerce-page-awesome-style-single-product', NINJA_WOO_PAGE_URL.'assets/fonts/awesome/css/font-awesome.min.css',array(),'4.0.3');
		wp_register_style('ninja-woocommerce-page-style-single-product', NINJA_WOO_PAGE_URL.'assets/css/main-style.css',array(),NINJA_WOO_PAGE_VERSION);
		}
		public function frontend_assets_single_product(){
		wp_enqueue_style('ninja-woocommerce-page-awesome-style-single-product');
		wp_enqueue_style('ninja-woocommerce-page-style-single-product');
		}
		public function ninja_get_template_part_single_product_belongs($template, $slug, $name){
			global $post,$ninja_single_product_template,$ninja_single_product_template_id,$wpdb;
			if(empty($ninja_single_product_template_id))
				$ninja_single_product_template_id = $this->register_single_product_template();
			if($slug === 'content' && $name ==='single-product'):
				if(defined('ICL_SITEPRESS_VERSION')){
					$table_product=$wpdb->prefix.'product_tempate_page';
			    	//
			    	$row_table_product = $wpdb->get_row( "SELECT * FROM $table_product WHERE active = 1" );
					if(!empty($row_table_product)){
						$ninja_single_product_template_id="active";
					}
					
				}
				do_action('ninja_woocommerce_page_before_override');
				$file 	= 'content-template-page-single-product.php';
				$find[] = 'ninja-woocommerce-page/' . $file;
				if(!empty($ninja_single_product_template_id)):
					$ninja_single_product_template = $ninja_single_product_template_id;
				  if($ninja_single_product_template):
					$template = locate_template( $find );
					  if ( ! $template || ( ! empty( $status_options['template_debug_mode'] ) && current_user_can( 'manage_options' ) ) )
						$template = NINJA_WOO_PAGE_DIR . 'templates/product/' . $file;
					  return $template;
				  endif;
				endif;
				do_action('ninja_woocommerce_page_after_override');
			endif;
		  return $template;
		}
		public function enqueueJs() {
        if ( wp_script_is( 'yoast-seo-post-scraper' ) ) {
                wp_enqueue_script( 'vc_vendor_yoast_js', vc_asset_url( 'js/vendors/yoast.js' ), array( 'yoast-seo-post-scraper' ), WPB_VC_VERSION, true );
        }
}
	}
	new NINJA_Page_WooComposer_VC();
} // END IF
